OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



"More than one current version defined for the product"

OJS development discussion, enhancement requests, third-party patches and plug-ins.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
Developer Resources:

Documentation: The OJS Technical Reference and the OJS API Reference are both available from the OJS Documentation page.

Git: You can access our public Git Repository here. Comprehensive Git usage instructions are available on the wiki.

Bugzilla: You can access our Bugzilla report tracker here.

Search: You can use our Google Custom Search to search across our main website, the support forum, and Bugzilla.

Questions and discussion are welcome, but if you have a workflow or usability question you should probably post to the OJS Editorial Support and Discussion subforum; if you have a technical support question, try the OJS Technical Support subforum.

"More than one current version defined for the product"

Postby Donovan » Thu Jun 23, 2011 1:31 am

Hi there,

I am developing a plugin for OJS. I can set a version thanks to the version.xml file. My plugin is currently at the version 0.0.1.0. I am trying to upgrade to 0.0.2.0 through the link "Upgrade" below the plugin, and the installation goes fine, but I am getting this message when I try to list all the generic plugins:

More than one current version defined for the product


I see in the database two rows of this plugin with different versions but with

Code: Select all
current = 1


Should I manually change this value when upgrading or there is a better way?

Thanks!
Donovan
 
Posts: 8
Joined: Thu Jun 23, 2011 1:22 am

Re: "More than one current version defined for the product"

Postby michael » Fri Jun 24, 2011 11:13 am

Hi Donovan,

Assuming you're running the current version of OJS (2.3.5), can you please try applying the patch at Bug 6667 and see if that fixes the issue.

If it does not, can you please include the steps required to reproduce this issue.

Thanks,
Michael
michael
 
Posts: 404
Joined: Thu Mar 29, 2007 2:09 pm

Re: "More than one current version defined for the product"

Postby Donovan » Mon Jun 27, 2011 7:18 am

michael wrote:Hi Donovan,

Assuming you're running the current version of OJS (2.3.5), can you please try applying the patch at Bug 6667 and see if that fixes the issue.

If it does not, can you please include the steps required to reproduce this issue.

Thanks,
Michael


Thanks a lot! Now it is working.
Donovan
 
Posts: 8
Joined: Thu Jun 23, 2011 1:22 am


Return to OJS Development

Who is online

Users browsing this forum: Bing [Bot] and 2 guests